Skip to content
Browse files

Replace Jeweler with simplified gemspec, Rakefile, Gemfile and version.

  • Loading branch information...
1 parent eea4df2 commit abbcbb988729235f22daf1789e6b04451ebb0abd @dbackeus dbackeus committed Nov 14, 2011
Showing with 38 additions and 117 deletions.
  1. +0 −3 .document
  2. +2 −10 Gemfile
  3. +13 −32 Rakefile
  4. +0 −1 VERSION
  5. +2 −0 lib/resque_mailer.rb
  6. +5 −0 lib/resque_mailer/version.rb
  7. +16 −71 resque_mailer.gemspec
View
3 .document
@@ -1,3 +0,0 @@
-README.rdoc
-lib/**/*.rb
-LICENSE
View
12 Gemfile
@@ -1,17 +1,9 @@
source 'http://rubygems.org'
-# Add dependencies required to use your gem here.
-# Example:
-# gem 'activesupport', '>= 2.3.5'
-
-gem 'resque', '>= 1.2.3'
-gem 'actionmailer', '>= 3.0.0'
+gemspec
# Add dependencies to develop your gem here.
# Include everything needed to run rake, tests, features, etc.
group :development do
- gem 'rspec', '>= 2.6.0'
- gem 'yard', '>= 0.6.0'
- gem 'bundler', '~> 1.0.0'
- gem 'jeweler', '~> 1.6.2'
+ gem 'rake', '~> 0.9'
end
View
45 Rakefile
@@ -1,38 +1,7 @@
-# encoding: utf-8
-
-require 'rubygems'
require 'bundler'
-begin
- Bundler.setup(:default, :development)
-rescue Bundler::BundlerError => e
- $stderr.puts e.message
- $stderr.puts "Run `bundle install` to install missing gems"
- exit e.status_code
-end
-
-require 'rake'
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "resque_mailer"
- gem.summary = %Q{Rails plugin for sending asynchronous email with ActionMailer and Resque}
- gem.description = %Q{Rails plugin for sending asynchronous email with ActionMailer and Resque}
- gem.email = "nap@zerosum.org"
- gem.homepage = "http://github.com/zapnap/resque_mailer"
- gem.authors = ["Nick Plante"]
- gem.add_development_dependency "rspec", ">= 2.6.0"
- gem.add_development_dependency "resque", ">= 1.2.3"
- gem.add_development_dependency "actionmailer", ">= 3.0.0"
- # gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
- end
- Jeweler::RubygemsDotOrgTasks.new
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
-end
+Bundler.setup(:default, :development)
-require 'rspec/core'
require 'rspec/core/rake_task'
RSpec::Core::RakeTask.new(:spec) do |spec|
@@ -43,3 +12,15 @@ task :default => :spec
require 'yard'
YARD::Rake::YardocTask.new
+
+desc "Push a new version to Rubygems"
+task :publish do
+ require 'resque_mailer/version'
+
+ sh "gem build resque_mailer.gemspec"
+ sh "gem push resque_mailer-#{Resque::Mailer::VERSION}.gem"
+ sh "rm resque_mailer-#{Resque::Mailer::VERSION}.gem"
+ sh "git tag v#{Resque::Mailer::VERSION}"
+ sh "git push origin v#{Resque::Mailer::VERSION}"
+ sh "git push origin master"
+end
View
1 VERSION
@@ -1 +0,0 @@
-2.0.2
View
2 lib/resque_mailer.rb
@@ -1,3 +1,5 @@
+require 'resque_mailer/version'
+
module Resque
module Mailer
class << self
View
5 lib/resque_mailer/version.rb
@@ -0,0 +1,5 @@
+module Resque
+ module Mailer
+ VERSION = "2.0.2"
+ end
+end
View
87 resque_mailer.gemspec
@@ -1,77 +1,22 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
+lib = File.expand_path('../lib/', __FILE__)
+$:.unshift lib unless $:.include?(lib)
-Gem::Specification.new do |s|
- s.name = %q{resque_mailer}
- s.version = "2.0.2"
+require "resque_mailer/version"
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Nick Plante"]
- s.date = %q{2011-08-20}
- s.description = %q{Rails plugin for sending asynchronous email with ActionMailer and Resque}
- s.email = %q{nap@zerosum.org}
- s.extra_rdoc_files = [
- "LICENSE",
- "README.md"
- ]
- s.files = [
- ".document",
- "CHANGELOG.md",
- "Gemfile",
- "Gemfile.lock",
- "LICENSE",
- "README.md",
- "Rakefile",
- "VERSION",
- "lib/resque_mailer.rb",
- "rails/init.rb",
- "resque_mailer.gemspec",
- "spec/resque_mailer_spec.rb",
- "spec/spec.opts",
- "spec/spec_helper.rb"
- ]
- s.homepage = %q{http://github.com/zapnap/resque_mailer}
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{Rails plugin for sending asynchronous email with ActionMailer and Resque}
+Gem::Specification.new do |s|
+ s.name = "resque_mailer"
+ s.version = Resque::Mailer::VERSION
+ s.authors = ["Nick Plante"]
+ s.email = ["nap@zerosum.org"]
+ s.homepage = "http://github.com/zapnap/resque_mailer"
+ s.summary = "Rails plugin for sending asynchronous email with ActionMailer and Resque."
+ s.description = "Rails plugin for sending asynchronous email with ActionMailer and Resque."
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
+ s.add_dependency("actionmailer", "~> 3.0")
+ s.add_dependency("resque", ">= 1.2.3")
+ s.add_development_dependency("rspec", "~> 2.6")
+ s.add_development_dependency("yard", ">= 0.6.0")
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<resque>, [">= 1.2.3"])
- s.add_runtime_dependency(%q<actionmailer>, [">= 3.0.0"])
- s.add_development_dependency(%q<rspec>, [">= 2.6.0"])
- s.add_development_dependency(%q<yard>, [">= 0.6.0"])
- s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_development_dependency(%q<jeweler>, ["~> 1.6.2"])
- s.add_development_dependency(%q<rspec>, [">= 2.6.0"])
- s.add_development_dependency(%q<resque>, [">= 1.2.3"])
- s.add_development_dependency(%q<actionmailer>, [">= 3.0.0"])
- else
- s.add_dependency(%q<resque>, [">= 1.2.3"])
- s.add_dependency(%q<actionmailer>, [">= 3.0.0"])
- s.add_dependency(%q<rspec>, [">= 2.6.0"])
- s.add_dependency(%q<yard>, [">= 0.6.0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_dependency(%q<jeweler>, ["~> 1.6.2"])
- s.add_dependency(%q<rspec>, [">= 2.6.0"])
- s.add_dependency(%q<resque>, [">= 1.2.3"])
- s.add_dependency(%q<actionmailer>, [">= 3.0.0"])
- end
- else
- s.add_dependency(%q<resque>, [">= 1.2.3"])
- s.add_dependency(%q<actionmailer>, [">= 3.0.0"])
- s.add_dependency(%q<rspec>, [">= 2.6.0"])
- s.add_dependency(%q<yard>, [">= 0.6.0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_dependency(%q<jeweler>, ["~> 1.6.2"])
- s.add_dependency(%q<rspec>, [">= 2.6.0"])
- s.add_dependency(%q<resque>, [">= 1.2.3"])
- s.add_dependency(%q<actionmailer>, [">= 3.0.0"])
- end
+ s.files = Dir.glob("lib/**/*") + %w(README.md LICENSE CHANGELOG.md)
end
-

0 comments on commit abbcbb9

Please sign in to comment.
Something went wrong with that request. Please try again.